summaryrefslogtreecommitdiffstats
path: root/network/siege
diff options
context:
space:
mode:
author Heinz Wiesinger2013-12-01 22:01:54 +0100
committer Robby Workman2013-12-02 07:58:04 +0100
commite1e1b9eeabc174afcec10faaf8896b31cbd1a531 (patch)
treec2489d0eecdbabd3b7ceec8c0d3f91151b709e23 /network/siege
parent90fc5e953844d8a2ce2d3a3426432bcd2f1f3015 (diff)
downloadslackbuilds-e1e1b9eeabc174afcec10faaf8896b31cbd1a531.tar.gz
network/siege: Updated for version 3.0.5, added a license.
Script cleanup, moved from misc to network Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network/siege')
-rw-r--r--network/siege/README6
-rw-r--r--network/siege/doinst.sh16
-rw-r--r--network/siege/siege.SlackBuild106
-rw-r--r--network/siege/siege.info10
-rw-r--r--network/siege/slack-desc19
5 files changed, 157 insertions, 0 deletions
diff --git a/network/siege/README b/network/siege/README
new file mode 100644
index 0000000000..5ec3a5fccf
--- /dev/null
+++ b/network/siege/README
@@ -0,0 +1,6 @@
+Siege is an http regression testing and benchmarking utility. It was designed
+to let web developers measure the performance of their code under duress,
+to see how it will stand up to load on the internet. Siege supports basic
+authentication, cookies, HTTP and HTTPS protocols. It allows the user to hit
+a web server with a configurable number of concurrent simulated users. Those
+users place the webserver "under siege."
diff --git a/network/siege/doinst.sh b/network/siege/doinst.sh
new file mode 100644
index 0000000000..cebc4191d5
--- /dev/null
+++ b/network/siege/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/siege/siegerc.new
+config etc/siege/urls.txt.new
+
diff --git a/network/siege/siege.SlackBuild b/network/siege/siege.SlackBuild
new file mode 100644
index 0000000000..73f4152dc4
--- /dev/null
+++ b/network/siege/siege.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for Siege
+
+# Copyright 2011-2013 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Originally written by Menno Duursma <druiloor@zonnet.nl>
+
+PRGNAM=siege
+VERSION=${VERSION:-3.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc/$PRGNAM \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+for i in $PKG/etc/$PRGNAM/*; do
+ mv $i $i.new
+done
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a AUTHORS ChangeLog COPYING KNOWNBUGS MACHINES NEWS PLATFORM README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a html/{README,basic.php,cache-control.php,cookie-test.php,etag.php,login.php} \
+ $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/siege/siege.info b/network/siege/siege.info
new file mode 100644
index 0000000000..298e911799
--- /dev/null
+++ b/network/siege/siege.info
@@ -0,0 +1,10 @@
+PRGNAM="siege"
+VERSION="3.0.5"
+HOMEPAGE="http://www.joedog.org/index/siege-home"
+DOWNLOAD="http://www.joedog.org/pub/siege/siege-3.0.5.tar.gz"
+MD5SUM="822cc4750a6162945ee91af98773bda4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
diff --git a/network/siege/slack-desc b/network/siege/slack-desc
new file mode 100644
index 0000000000..315e48f7d7
--- /dev/null
+++ b/network/siege/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+siege: siege (http server benchmark)
+siege:
+siege: Siege is an http regression testing and benchmarking utility.
+siege: It was designed to let web developers measure the performance
+siege: of their code under duress, to see how it will stand up to
+siege: load on the internet.
+siege:
+siege: Jeffrey Fulmer is the primary author and maintainer of siege.
+siege:
+siege:
+siege: